/*
 *  Author: David Huynh
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;
using System.Xml;

namespace RhodesProcessorLib
{
    /*! Custom content importer for CompoundEntity */
    [ContentImporter(".compound", DefaultProcessor = "CompoundEntityProcess")]
    class CompoundEntityImporter : ContentImporter<CompoundEntitySource>
    {
        public override CompoundEntitySource Import(string filename, ContentImporterContext context)
        {
            XmlDocument xml = new XmlDocument();
            xml.Load(filename);
            return new CompoundEntitySource(filename, xml);
        }
    }
}
