using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;
using System.Xml;

namespace SedohrProcessorLib
{
    /*! Custom content importer for Level */
    [ContentImporter(".level", DefaultProcessor = "LevelProcessor")]
    class LevelImporter : ContentImporter<LevelSource>
    {
        public override LevelSource Import(string filename, ContentImporterContext context)
        {
            XmlDocument xml = new XmlDocument();
            xml.Load(filename);
            return new LevelSource(filename, xml);
        }
    }
}
