/*
 *  Author: David Huynh
 *  Copyright 2007 __MyCompanyName__. All rights reserved.
 */

using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

namespace SedohrProcessorLib
{
    public class LightInfo
    {
        private Vector3 _position;
        private Vector3 _attenuation;
        private Vector4 _color;
        private Boolean _isAttenuated;

        public LightInfo()
        {
            _position = Vector3.Zero;
            _attenuation = Vector3.Zero;
            _color = Vector4.One;
            _isAttenuated = true;
        }

        public Vector3 Position { get { return _position; } set { _position = value; } }
        public Vector3 Attenuation { get { return _attenuation; } set { _attenuation = value; } }
        public Vector4 Color { get { return _color; } set { _color = value; } }
        public Boolean IsAttenuated { get { return _isAttenuated; } set { _isAttenuated = value; } }
    }
}
