using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;
using System.Xml;

namespace SedohrProcessorLib
{
	/*! Custom content importer for Level */
	[ContentImporter(".simple-object", DefaultProcessor = "SimpleObjectProcessor")]
	class SimpleObjectImporter : ContentImporter<SimpleObjectSource>
	{
		public override SimpleObjectSource Import(string filename, ContentImporterContext context)
		{
			XmlDocument xml = new XmlDocument();
			xml.Load(filename);
			return new SimpleObjectSource(filename, xml);
		}
	}
}
