using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Storage;
using Microsoft.Xna.Framework.Graphics;

namespace SedohrProcessorLib
{
    /*! Custom content reader for GraphicsInfo */
    class GraphicsInfoReader : ContentTypeReader<GraphicsInfo>
    {
        protected override GraphicsInfo Read(ContentReader input, GraphicsInfo existingInstance)
        {
            GraphicsInfo graphicsInfo = new GraphicsInfo();

            graphicsInfo.Filename = input.ReadString();
            graphicsInfo.Position = input.ReadVector2();

            return graphicsInfo;
        }

    }
}
