using System;
using System.IO;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Content.Pipeline;

using Gajatko.IniFiles;

namespace SpriteMapProcessorLib
{
    [ContentImporter(".spritemap", DefaultProcessor = "SpriteMapProcessor")]
    class SpriteMapImporter: ContentImporter<SpriteMapSource>
    {
        public override SpriteMapSource Import(string filename, ContentImporterContext context)
        {
            IniFile ini = IniFile.FromFile(filename);
            
            return new SpriteMapSource(ini, filename);
        }
    }
}
