using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Content.Pipeline;

using Gajatko.IniFiles;

namespace SpriteMapProcessorLib
{
    public class SpriteMapSource
    {
        private IniFile _ini;
        private string _filename;

        public SpriteMapSource(IniFile ini, string filename)
        {
            _ini = ini;
            _filename = filename;
        }

        public IniFile Ini { get { return _ini; } }
        public string Filename { get { return _filename; } }
    }
}
