using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using FarseerGames.FarseerPhysics;
using FarseerGames.FarseerPhysics.Dynamics;
using FarseerGames.FarseerPhysics.Collisions;
using SedohrProcessorLib;

using rhodes.engine;
using rhodes.graphics;
using rhodes.physics;

namespace sedohr.objects
{
	/*! Reads & process simple entities */
	/*! Author: David Huynh */
	class SimpleObjectReader : ContentTypeReader<SimpleObject>
	{
		protected override SimpleObject Read(ContentReader input, SimpleObject existingInstance)
		{
            String name = input.ReadString();
			SimpleEntity simple = EntityManager.getSingleton.loadSimple(input.ReadString());

            SimpleObject ret = new SimpleObject(name, simple);

			return ret;
		}
	}
}